motif (2.3.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable buggy fix for upstream bug #1565 (closes: #781995).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 12 Apr 2015 19:25:51 +0000

motif (2.3.4-6) unstable; urgency=medium

  * Bump standards-version to 3.9.6 (no changes).
  * Escape double quotes in mwm.menu-method - Thanks Kevin Ryde
    (Closes: #735621).
  * Fix various type inconsistencies, build-depend on flex (>= 2.5.36)
     - Thanks Michael Tautschnig (Closes: #749417).
  * Remove unnecessary libmotif-common Recommends (Closes: #763861).
  * Include fix for upstream bug #1612.
  * Include fix for upstream bug #1636.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 12 Oct 2014 13:23:42 +0200

motif (2.3.4-5) unstable; urgency=low

  * Link executables and shared libraries with --as-needed.
  * Override spelling errors in binaries.
  * Fix undefined sprintf() usage.
  * Use dh-exec to install /etc/X11/mwm/system.mwmrc-menu.
  * Fix array bounds error in lib/Xm/DataF.c.
  * Fix keyboard navigation of menus (Closes: #730026).

 -- Graham Inggs <graham@nerve.org.za>  Mon, 02 Dec 2013 13:42:26 +0200

motif (2.3.4-4) unstable; urgency=low

  * Provide a libmotif3 transitional package (Closes: #710935)
  * Let the uil package break and replace libmotif-dev (<< 2.3.4)

 -- Graham Inggs <graham@nerve.org.za>  Tue, 04 Jun 2013 19:19:12 +0200

motif (2.3.4-3) unstable; urgency=low

  [ Graham Inggs ]
  * Add lesstif-bin to conflicts in the uil package (Closes: #709923)

 -- Paul Gevers <elbrus@debian.org>  Thu, 30 May 2013 20:54:41 +0200

motif (2.3.4-2) unstable; urgency=low

  [ Graham Inggs ]
  * Fix buffer overrun in lib/Xm/FontS.c.
  * Build Motif with JPEG and PNG support.
  * Fix underlinking of libXt, libXext and libX11.
  * Relocate MWMRCDIR to /etc/X11/mwm.
  * Add custom Unity Greeter badge for MWM.
  * Fix hardcoded path to /usr/lib/X11/rgb.txt in lib/Xm/ColorS.c.
  * Build Motif with Xft anti-aliased fonts support.
  * Link uil executable against libUil.

  [ Paul Gevers ]
  * Update debian/watch, taken from QA.

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 May 2013 19:15:28 +0200

motif (2.3.4-1) experimental; urgency=low

  [ Graham Inggs ]
  * New upstream (Closes: #691393).
  * Rename source package from openmotif to motif.
  * Move from non-free since motif is now LGPL.
  * Update debian/watch.
  * Upgrade to source format 3.0 (quilt) (Closes: #688870)
    - Updated all patches
  * Switch to compatibility level 9.
  * Convert d/rules to dh(1).
  * Update Homepage URL (Closes: #687483)
  * Don't build demos by adding disable option and drop patches against them.
  * Build with --disable-printing and drop Xprint dependency (Closes: #623645).
  * Provide backwards compatibility with libmotif3 (Closes: #635960,
    LP: #818220).
  * Provide display manager entry for Motif Window Manager (LP: #310895)
  * Relocate non-library files from /usr/lib/X11 to /usr/share/X11
  * Update d/control
    - Split non-library files into arch-independent libmotif-common
    - Split uil from libmotif-dev into its own multi-arch: foreign package

  [ Paul Gevers ]
  * Team adoption of (open)motif (Closes: #695130)
  * Remove spurious spaces from d/changelog
  * Completely rewritten copyright file to comply with machine parseble format.
  * Fix several man-page errors in d/rules during install
  * Clean up lintian overrides
  * Update standards-version to 3.9.4 (no changes needed)
  * Update d/control (partial review by d-l10n-english)
    - Create transitional package motif-client due to rename to mwm
    - Split libmotif4 into libMrm4, libUil4 and libXm4 so package names match
      library soname
  * Add symbol files for all three library packages
  * Add several patches (thanks lintian):
    - 07-fix_lintian_reported_manpage_typos.patch to fix some typos in man pages
    - 08-fix_hyphen_in_man_pages.patch to fix ambigous hyphen use
    - 09-fix_typo_in_libxm.patch to fix a double misspelling in libxm
    - 10-fix_manpage-has-bad-whatis-entry.patch to add missing name in NAME
      section
  * Add README.Debian for libxm4 to explain the printing situation
  * Add RELNOTES to libmotif-dev

 -- Paul Gevers <elbrus@debian.org>  Mon, 18 Feb 2013 20:33:01 +0100

openmotif (2.3.3-8) unstable; urgency=low

   * QA upload.
   * Reverting multiarch and hardening changes since 2.3.3-5 on request of
     release-team (see bug #698661) to allow for transition to Wheezy.

 -- Paul Gevers <elbrus@debian.org>  Tue, 22 Jan 2013 20:52:01 +0100

openmotif (2.3.3-7) unstable; urgency=low

  * QA upload.
  * Improve 0005-sprintf-error-message-hardening-format-security.patch to use
    strcpy i.s.o. sprintf and properly format string.

 -- Paul Gevers <elbrus@debian.org>  Sat, 05 Jan 2013 21:36:38 +0100

openmotif (2.3.3-6) unstable; urgency=low

  * QA upload.
    - Set maintainer to QA group
  * Allow multiarch (Closes: #673690)
    - Multi-Arch: same for libmotif4
    - Add Pre-Depends: multiarch-support
    - d/*.files use wild-card
    - d/rules export DEB_HOST_MULTIARCH and use it for configure with --libdir
    - Add patch to NOT move /usr/lib/X11 files (thanks Sergio Gelato)
  * Enable hardening
    - Build-Depend on dpkg-dev (>=1.6.1)
    - d/rules: move declaration of CFLAGS earlier
    - Add patch to prevent "format not a string literal and no format arguments"
    - Add patch to prevent a case of "format '%d' expects argument of type
      'int', but argument 5 has type 'size_t'"
  * Remove update-menu created configuration files on purge (Closes: #656169)

 -- Paul Gevers <elbrus@debian.org>  Tue, 25 Dec 2012 09:04:47 +0100

openmotif (2.3.3-5) unstable; urgency=low

  * Fix hopefully the build problems on mips*

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Tue, 07 Sep 2010 22:27:57 +0200

openmotif (2.3.3-4) unstable; urgency=low

  * Let libmotif4-dbg conflict with lesstif2-dbg as they ship numerous
    files in both packages. (Closes: #593381)

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Wed, 18 Aug 2010 08:06:24 +0200

openmotif (2.3.3-3) unstable; urgency=low

  * Let libmotif-dev depend on x11proto-print-dev to serve Print.h
    as this is required by Xm.h (Closes: #410528)
  * Offer libmotif4-dbg for debugging (Closes: #297773)
  * Bump Standards to 3.9.1.0
  * Let libmotif4 conflict with libmotif3 as both packages ship more or
    less the same files

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Thu, 22 Jul 2010 12:51:11 +0200

openmotif (2.3.3-2) unstable; urgency=low

  * changed libmotif packagename to libmotif4 to not conflict with
    binaries compiled with .3-soname (Closes: #587683)
  * bump standards to 3.9.0

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Mon, 05 Jul 2010 11:43:34 +0200

openmotif (2.3.3-1) unstable; urgency=low

  * New upstream release
  * Drop patch for autoconf-bug as this was fixed upstream
  * Applied patch to fix implicit pointer conversion (Closes: #587461)

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Sat, 29 Jun 2010 09:42:21 +0200

openmotif (2.3.0-1) unstable; urgency=low

  * New Maintainer (Closes: #379258)
  * Acknowledge NMU changes
  * New upstream release (Closes: #494375)
  * Get rid of security patches as they are already part of new upstream
    release (00-xpmvuln.openmotif.patch, 342092-CVE-2005-3964.patch)
  * Bump Standards to 3.8.4
  * Added {misc:Depends} to make the package lintian cleaner
  * Fix weak-library-dev-dependency by adding ${binary:Version}) for the
    -dev Package of openmotif
  * Let package depend on autotools-dev to use newer autotools-helper-files
  * Work around an autoconf-bug (Gentoo-Bug #1475)
  * Added Client-side anti-aliased fonts support via XFT
  * Added UTF-8 and UTF8_STRING atom support
  * Ability to show text and pixmaps in Label, LabelGadget and all
    derived widgets
  * Support of PNG/JPEG image formats in the same way as XPM is supported
  * Increase FILE_OFFSET_BITS to 64 to show files >2GB in file-selector
    Idea taken from Magne Oestlyngen (Closes: #288537)

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Wed, 23 Jun 2010 12:12:31 +0200

openmotif (2.2.3-4) unstable; urgency=high

  * QA upload.
  * Set the host explicetly in debian/rules. Hopefully
    fixes problems with mips build. (Closes: #492121)

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 04 Aug 2008 15:34:37 -0300

openmotif (2.2.3-3) unstable; urgency=low

  * QA upload.
  * Replace xlibs-data with xbitmaps in the build dependencies
    (Thanks to Peter Green <plugwash@p10link.net>)
    Closes: #491385
  * debhelper version (>= 6.0.7) in Build-Dependencies because of
    using dh_lintian
  * Added Homepage field in debian/contol
  * Standards-Version: 3.8.0 (no changes needed)
  * Replaced debian/rules:export DH_COMPAT=4
    by debian/compat: 4
  * Removed x-dev build-dependency
  * debian/control: XS-Autobuild: yes
    This and a mail to nonfree@release.debian.NET
    Closes: #412839
  * Add several lintian overrides especially for problems
    in man pages.  In principle these warnings should not
    be overriden but there are so many that some really important
    ones might be overlooked - so I just decided for hiding
    minor problems for the moment.
  * Attach the upstream LICENSE file to debian/copyright to
    make sure we have only ony license file
    These both items might be server the point of _some_ love
    given in bug #378978 - I would agree to reopen the bug that
    it needs some _more_ love.
    Closes: #378978

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jul 2008 11:33:39 +0200

openmotif (2.2.3-2) unstable; urgency=high

  * QA upload.
  * libmotiv-dev: add Conflicts with lesstif-doc (Closes: #404049)
  * motif-clients,libmotif3: Pre-Depend on x11-common (>= 1:7.0.0), see
    Policy 11.8.7
  * motif-clients.menu-method: fix shebang to install-menu

 -- Michael Ablassmeier <abi@debian.org>  Tue,  2 Jan 2007 07:23:17 +0100

openmotif (2.2.3-1.5) unstable; urgency=low

  * QA upload.
  * Include patch from Glockenstein <debian@glockenstein.de>, so that
    system.mwmrc-menu gets installed (closes: #314623).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 19 Jul 2006 23:44:44 +0200

openmotif (2.2.3-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch by Kris Jurka <jurka@ejurka.com> (Closes: #363944).
  * Fix CVE-2005-3964: libUil buffer overflows (Closes: #342092).
    Urgency set accordingly.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 10 Jul 2006 12:58:42 +0200

openmotif (2.2.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #347166).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 22 Jan 2006 02:11:23 +0100

openmotif (2.2.3-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS on s390 (and reportedly sparc) by compiling with
    -fno-strict-aliasing, based on a patch by Petr Salinger
    (Closes: #323798)

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 19 Sep 2005 01:00:31 +0200

openmotif (2.2.3-1.1) unstable; urgency=high

  * NMU.
  * Fix Xpm vulnerabilities by taking a patch from Debian XFree86
    SVN. (closes: #308819)
    CAN-2004-0687, CAN-2004-06888, CAN-2004-0914, CAN-2005-0605

 -- Kenshi Muto <kmuto@debian.org>  Mon, 30 May 2005 07:30:30 +0000

openmotif (2.2.3-1) unstable; urgency=low

  * new upstream release (closes: #231751).
  * add patch for _XGetpwnam parameter change (closes: #194466).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 26 May 2004 14:15:13 +0200

openmotif (2.2.2-6) unstable; urgency=low

  * fixed permission problems.

 -- Gerd Knorr <kraxel@debian.org>  Mon,  9 Dec 2002 13:49:33 +0100

openmotif (2.2.2-5) unstable; urgency=low

  * splitted stuff into orig.tar.gz and .diff (closes: #171888).
  * added conflict with lesstif2-dev (closes: #171219).

 -- Gerd Knorr <kraxel@debian.org>  Sat,  7 Dec 2002 17:27:31 +0100

openmotif (2.2.2-4.1) unstable; urgency=low

  * NMU
  * libmotif-dev: Added dependency on xlibs-dev (closes: #160726).

 -- Stefan Schwandter <swan@debian.org>  Wed, 18 Sep 2002 08:35:58 +0200

openmotif (2.2.2-4) unstable; urgency=low

  * more dependency fixes (closes: #154237).

 -- Gerd Knorr <kraxel@debian.org>  Tue,  6 Aug 2002 12:30:23 +0200

openmotif (2.2.2-3) unstable; urgency=low

  * fixed dependences

 -- Gerd Knorr <kraxel@debian.org>  Tue, 23 Jul 2002 16:11:16 +0200

openmotif (2.2.2-2) unstable; urgency=low

  * renamed shared library package (closes: #150635).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 24 Jun 2002 13:13:36 +0200

openmotif (2.2.2-1) unstable; urgency=low

  * new upstream release.
  * added xmbind entry for XFree86 (closes: #146384).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 13 Jun 2002 12:07:57 +0200

openmotif (2.2.1-2) unstable; urgency=low

  * fixed build dependences (closes: #136279).
  * fight with libtool to stop its -rpath abuse.
  * dropped motif-doc package (closes: #138152).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 14 Mar 2002 19:07:45 +0100

openmotif (2.2.1-1) unstable; urgency=low

  * new upstream release.

 -- Gerd Knorr <kraxel@debian.org>  Tue,  5 Feb 2002 10:04:52 +0100

openmotif (2.1.30-5) unstable; urgency=low

  * s/bison/byacc/. (closes: #106314).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 26 Jul 2001 09:57:57 +0200

openmotif (2.1.30-4) unstable; urgency=low

  * made motif-clients depend on menu (closes: #92158).
  * updated standards-version, fixed some lintian warnings.

 -- Gerd Knorr <kraxel@debian.org>  Sat, 23 Jun 2001 09:32:39 +0200

openmotif (2.1.30-3) unstable; urgency=low

  * shipping some imake config files with the package instead of
    copying them from the local xfree installation to avoid subtile
    dependences and build breakages (closes: #89647).
  * added lesstif-bin to conflicts for libmotif-dev (closes: #90039).
  * added bison to the build dependences (closes: #89925).
  * fixed lintian error.

 -- Gerd Knorr <kraxel@debian.org>  Thu, 22 Mar 2001 15:11:03 +0100

openmotif (2.1.30-2) unstable; urgency=low

  * updated the sections according to the overrides of the
    initial upload.
  * fixed alpha build problems (closes: #85814).
  * fixed makedepend getline name clash.

 -- Gerd Knorr <kraxel@debian.org>  Fri, 16 Feb 2001 20:29:14 +0100

openmotif (2.1.30-1) unstable; urgency=low

  * Initial Release

 -- Gerd Knorr <kraxel@debian.org>  Sun, 17 Dec 2000 11:07:25 +0100
